cURL
curl --request POST \
--url https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file \
--header 'Content-Type: application/octet-stream' \
--data '<string>'import requests
url = "https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file"
payload = "<string>"
headers = {"Content-Type": "application/octet-stream"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/octet-stream'},
body: '<string>'
};
fetch('https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "<string>",
CURLOPT_HTTPHEADER => [
"Content-Type: application/octet-stream"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file"
payload := strings.NewReader("<string>")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/octet-stream")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file")
.header("Content-Type", "application/octet-stream")
.body("<string>")
.asString();require 'uri'
require 'net/http'
url = URI("https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/octet-stream'
request.body = "<string>"
response = http.request(request)
puts response.read_bodyEmployees & Organisation
Document
POST
/
api
/
v1
/
persons
/
{personId}
/
personnel-file
cURL
curl --request POST \
--url https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file \
--header 'Content-Type: application/octet-stream' \
--data '<string>'import requests
url = "https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file"
payload = "<string>"
headers = {"Content-Type": "application/octet-stream"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/octet-stream'},
body: '<string>'
};
fetch('https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "<string>",
CURLOPT_HTTPHEADER => [
"Content-Type: application/octet-stream"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file"
payload := strings.NewReader("<string>")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/octet-stream")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file")
.header("Content-Type", "application/octet-stream")
.body("<string>")
.asString();require 'uri'
require 'net/http'
url = URI("https://your-environment.cloud.veda.net/api/v1/persons/{personId}/personnel-file")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/octet-stream'
request.body = "<string>"
response = http.request(request)
puts response.read_bodyPath Parameters
ID of the person to upload the document for
Query Parameters
Document folder into which the document should be uploaded
File name of the document to upload
Document date of the file
Retention period of the file
Available options:
NONE, ONE_YEAR, TWO_YEARS, THREE_YEARS, FIVE_YEARS, SIX_YEARS, TEN_YEARS, THIRTY_YEARS Base for the retention period of the file Decide the base for the calculation of the retention period
Available options:
DOCUMENT_DATE, EXIT_DATE Body
application/octet-stream
Binary content of the file to upload
Response
200
OK
Was this page helpful?